{ sources ? import ./nix/sources.nix, system ? builtins.currentSystem
, pkgs ? import sources.nixpkgs { inherit system; } }:

let
  callPackage = pkgs.lib.callPackageWith (pkgs // self);
  x = callPackage ./pkgs/x { };
  quickserv = callPackage sources.quickserv { };

  self = {
    MoonPlus = callPackage ./pkgs/moonplus { };
    minica = callPackage ./pkgs/minica { };

    # lojban
    johaus = callPackage ./pkgs/johaus { };
    jvozba = callPackage ./pkgs/jvozba { };

    # Go tools
    gopls = callPackage ./pkgs/gopls { };

    # x
    appsluggr = x.appsluggr;
    license = x.license;
    mainsanow = x.mainsanow;
    prefix = x.prefix;

    inherit x quickserv;
  };
in self
